%define major 14
%define majorqt 2
%define libname %mklibname %name-glib %major
%define girmajor 1.0
%define girname %mklibname %{name}glib-gir %{girmajor}
%define qtlib %mklibname %name-qt %major
%define qtlib2 %mklibname %name-qt2_ %majorqt

%define develname %mklibname -d %name

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit
Version:	0.6.21
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Configuration/Packaging
Source0: 	http://www.packagekit.org/releases/PackageKit-%version.tar.xz
Patch1:		packagekit-0.6.13-use-mageia-as-vendor.patch
Patch2:		packagekit-0.6.13-mga-add-mga-support-in-urpmi-backend.patch
Patch3:		PackageKit-0.6.16-Mageia-turn-off-time.conf.patch
Patch4:		packagekit-0.6.13-increase-command-not-found-install-timeout.patch
Patch5:		packagekit-0.6.15-what_provides-and-friends.patch
# Patch from git
URL:		http://www.packagekit.org
BuildRequires:	python-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libarchive-devel
BuildRequires:	sqlite3-devel
BuildRequires:	intltool
BuildRequires:	polkit-1-devel >= 0.92
BuildRequires:	docbook-utils
BuildRequires:	libxslt-proc
BuildRequires:	xmlto
BuildRequires:	qt4-devel
BuildRequires:	cppunit-devel
BuildRequires:	gtk+2-devel
BuildRequires:  gtk+3-devel
BuildRequires:	pm-utils-devel
BuildRequires:	libgudev-devel
BuildRequires:	xulrunner-devel >= 1.9.1
BuildRequires:	libxt-devel
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection
BuildRequires:	gobject-introspection-devel
BuildRequires:	libgstreamer-plugins-base-devel
Suggests:       %{name}-gtk-module = %{version}
Suggests:	packagekit-gui

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n %{libname}
Summary: Libraries for accessing PackageKit
Group: System/Configuration/Packaging

%description -n %{libname}
Libraries for accessing PackageKit.

%package -n %{girname}
Summary: GObject Introspection interface description for PackageKit
Group: System/Configuration/Packaging
Requires: %{libname} = %{version}-%{release}
Conflicts: %{_lib}packagekit-glib14 < 0.6.17-2

%description -n %{girname}
GObject Introspection interface description for PackageKit.

%package -n %{qtlib}
Summary: QT libraries for accessing PackageKit
Group: System/Configuration/Packaging
Requires: %{name} = %{version}-%{release}

%description -n %{qtlib}
QT libraries for accessing PackageKit.

%package -n %{qtlib2}
Summary: QT libraries for accessing PackageKit
Group: System/Configuration/Packaging
Requires: %{name} = %{version}-%{release}
Obsoletes: %{_lib}packagekit-qt22 < 0.6.16-5

%description -n %{qtlib2}
QT libraries for accessing PackageKit.

%package -n %{develname}
Summary: Libraries and headers for PackageKit
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Requires: %{qtlib} = %{version}-%{release}
Requires: %{qtlib2} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: packagekit-qt-devel < %{version}
Conflicts: %{_lib}packagekit-glib14 < 0.6.17-2

%description -n %{develname}
Headers and libraries for PackageKit.

%package cron
Summary: Cron job and related utilities for PackageKit
Group: System/Configuration/Packaging
Requires: crontabs
Requires: %{name} = %{version}-%{release}

%description cron
Crontab and utilities for running PackageKit as a cron job.

%package gstreamer-plugin
Summary: Install GStreamer codecs using PackageKit
Group: System/Configuration/Packaging
Requires: gstreamer0.10-tools
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides: gst-install-plugins-helper
Requires: %{name} = %{version}-%{release}

%description gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%package browser-plugin
Summary: Browser Plugin for PackageKit
Group: System/Configuration/Packaging
Requires: %{name} = %{version}-%{release}

%description browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package command-not-found
Summary: Ask the user to install command line programs automatically
Group: System/Configuration/Packaging
Requires: %{name} = %{version}-%{release}

%description command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package gtk-module
Summary: Install fonts automatically using PackageKit
Group: System/Configuration/Packaging
Requires: pango
Requires: %{name} = %{version}-%{release}

%description gtk-module
The PackageKit GTK+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%package gtk3-module
Summary: Install fonts automatically using PackageKit
Group: System/Configuration/Packaging
Requires: pango
Requires: %{name} = %{version}-%{release}

%description gtk3-module
The PackageKit GTK3+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%prep
%setup -q -n PackageKit-%version
%patch1 -p0
%patch2 -p0
%patch3 -p1 -b .no-time
%patch4 -p0
%patch5 -p1

%build

# We do not install in /usr/libexec
sed -e 's,/usr/libexec,%{_libexecdir},g' -i contrib/command-not-found/PackageKit.sh.in
sed -e 's,/usr/libexec,%{_libexecdir},g' -i contrib/command-not-found/PackageKit.sh

%configure2_5x --disable-static --enable-gstreamer-plugin \
	--disable-alpm --disable-apt --disable-box --disable-conary \
	--enable-dummy --disable-opkg --disable-pisi --disable-poldek \
	--disable-smart --enable-urpmi --enable-introspection \
	--disable-yum --disable-zypp \
	--with-default-backend=urpmi
find -name '*.moc' -exec rm -f {} \;
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%{find_lang} PackageKit

%clean
rm -rf %{buildroot}

%post
# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi

%files -f PackageKit.lang
%defattr(-, root, root)
%dir %{_sysconfdir}/PackageKit
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config(noreplace) %{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%{_sysconfdir}/PackageKit/events/post-transaction.d/README
%{_sysconfdir}/PackageKit/events/pre-transaction.d/README
%{_sysconfdir}/bash_completion.d/*
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_bindir}/*
%{_datadir}/PackageKit
%{_datadir}/polkit-1/actions/*.policy
%{_libdir}/pm-utils/sleep.d/95packagekit
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/gtk-doc/html/PackageKit
%{_datadir}/mime/packages/*.xml
%{python_sitelib}/packagekit
%{_libexecdir}/packagekitd
%{_sbindir}/pk-device-rebind
%dir %{_libdir}/packagekit-backend
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/packagekit-backend/libpk_backend_urpmi.so
%{_mandir}/man1/*
%ghost %verify(not md5 size mtime) %{_var}/lib/PackageKit/transactions.db

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*packagekit-glib*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/PackageKitGlib-%{girmajor}.typelib

%files -n %{qtlib}
%defattr(-, root, root)
%{_libdir}/*packagekit-qt.so.%{major}*

%files -n %{qtlib2}
%defattr(-, root, root)
%{_libdir}/*packagekit-qt2.so.%{majorqt}*

%files -n %{develname}
%defattr(-, root, root)
%{_includedir}/PackageKit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/Modules/*.cmake
%{_datadir}/gir-1.0/PackageKitGlib-%{girmajor}.gir

%files cron
%defattr(-,root,root,-)
%config %{_sysconfdir}/cron.daily/*.cron
%config %{_sysconfdir}/sysconfig/packagekit-background

%files gstreamer-plugin
%defattr(-,root,root,-)
%{_libexecdir}/pk-gstreamer-install

%post gstreamer-plugin
update-alternatives --install %{_libexecdir}/gst-install-plugins-helper gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install 10

%postun gstreamer-plugin
if [ "$1" = "0" ]; then
    if ! [ -e %{_libexecdir}/pk-gstreamer-install ]; then
        update-alternatives --remove gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install
    fi
fi

%files browser-plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/packagekit-plugin.*

%files command-not-found
%defattr(-,root,root,-)
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found

%files gtk-module
%defattr(-,root,root,-)
%{_libdir}/gtk-2.0/modules/*.so

%files gtk3-module
%defattr(-,root,root,-)
%{_libdir}/gtk-3.0/modules/*.so



%changelog

* Sun Mar 11 2012 fwang <fwang> 0.6.21-3.mga2
+ Revision: 222573
- br xt
- add mandriva patch on providing what-provides feature

* Wed Jan 04 2012 fwang <fwang> 0.6.21-2.mga2
+ Revision: 190642
- rebuild for new libarchive

* Mon Dec 26 2011 fwang <fwang> 0.6.21-1.mga2
+ Revision: 187745
- new version 0.6.21
- new version 0.6.20

* Sun Nov 06 2011 fwang <fwang> 0.6.19-1.mga2
+ Revision: 164386
- new version 0.6.19

* Mon Sep 26 2011 fwang <fwang> 0.6.18-2.mga2
+ Revision: 148781
- update file list
- revert to 0.6.18, urpmi backend is not maintained now
- new version 0.7.0
  only build urpmi backend, as we dont have smrt now

* Fri Sep 16 2011 ovitters <ovitters> 0.6.18-1.mga2
+ Revision: 144334
- add patch
- make it build with qt 4.7 and newest glib
- new version 0.6.18 (doesn't build yet, dmorgan would help fix it)

  + fwang <fwang>
    - gir should require libs
    - split gir files
    - new verrsion 0.6.17
    - update qtlib2 package name

  + stormi <stormi>
    - increase default max search time for packagekit-command-not-found (fixes mga bug #2183)

* Mon Jul 18 2011 dmorgan <dmorgan> 0.6.16-4.mga2
+ Revision: 125620
- Disable time estimation

* Sun Jul 17 2011 dmorgan <dmorgan> 0.6.16-3.mga2
+ Revision: 125518
- Enable suggests on packagekit-gtk-module now that we have font provides
  add more requires

* Sun Jul 17 2011 dmorgan <dmorgan> 0.6.16-2.mga2
+ Revision: 125512
- Fix path to packagekitd

* Tue Jul 05 2011 fwang <fwang> 0.6.16-1.mga2
+ Revision: 118700
- new version 0.6.16

* Wed Jun 15 2011 dmorgan <dmorgan> 0.6.15-2.mga2
+ Revision: 106389
- Create gtk3-module subpackage

* Wed Jun 15 2011 dmorgan <dmorgan> 0.6.15-1.mga2
+ Revision: 106384
- Add gtk3 as buildrequire
- New version 0.6.15

* Sun May 15 2011 pterjan <pterjan> 0.6.13-3.mga1
+ Revision: 98937
- Rebuild for fixed find-requires

* Wed Apr 13 2011 mikala <mikala> 0.6.13-2.mga1
+ Revision: 84617
- Add patch100 to fix a crash when browsing groups in kpackagekit

* Wed Apr 13 2011 mikala <mikala> 0.6.13-1.mga1
+ Revision: 84549
- Update tarball to 0.6.13
- Update patch1 :
  Remove the url regarding mandriva wiki
  Use mageia icon
- Add patch2 for urpmi backend:
  Disable backend_get_distro_upgrades for the moment
  Use mageia bugzilla for http
  Use mageia occurence instead of mandriva

* Sun Feb 20 2011 eandry <eandry> 0.6.11-2.mga1
+ Revision: 54927
- fix vendor patch (still needs a valid mageia wiki url)
- drop buildroot
- imported package packagekit

